Skip to main content
POST
Prepare multipart upload

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Path Parameters

username
string
required

The username associated with the request.

namespace
string
required

Namespace for the dataset.

datasetName
string
required

Name of the dataset.

Body

application/json
filename
string
required

Name of the file being uploaded.

Example:

"large-data.csv"

size
integer<int64>
required

Size of the file in bytes.

Example:

73473457

Response

Returns multipart upload details, including presigned URLs.

uploadId
string
required

Unique identifier for the multipart upload session.

Example:

"2~VmxqYXRlRDZWfjJrRWRiZ2FEQXk3dHI4DGhGLygtTmQNXEZPQXFzMVZOZTUgdEdrXCEyNStkQUp3U3Q2RjJqSkV4MFNBOWxJCk0yIHEkfcQ"

key
string
required

Generated S3 object key.

Example:

"uploads/data/20240301-143022-uuid.json"

partSize
integer<int64>
required

Size of each part in bytes (8MB).

Example:

8388608

presignedUrls
object[]
required

Array of presigned URLs for multipart upload.

Required array length: 1 - 10000 elements